# UJMT Backend

This is the backend of the User Journey Modeling Tool (UJMT).

[[_TOC_]]

## Purpose

1. receive user journey models from frontend
2. convert to BPMN
3. send BPMN to service engine

## Technicalities

| thing | content |
|---|---|
| Contact | Thilo Ernst |
| Language | Rust |


## CI/CD

### dockerhub

Repository

- <https://hub.docker.com/repository/docker/094360380/wp4-user-journey-modeling-tool>

Tags

- wp4-user-journey-modeling-tool:fe
- wp4-user-journey-modeling-tool:pr
- wp4-user-journey-modeling-tool:be


## Local Development

### Testing

Test the BPMN generation with

~~~ shell
cargo run generate generate_example.json
~~~

Start the generator as a service (at localhost:8080) with

~~~ shell
cargo run serve
~~~

In the directory ujmtbackend, request the generator with

~~~ shell
curl http://localhost:8080/generate -d "@serve_example.json" -H "Content-Type: application/json"
~~~
