use crate::entities::bpmn::YaSerialize;
use crate::entities::bpmn::datatypes::events::ExtensionElements;

#[derive(Clone, Debug, YaSerialize, PartialEq)]
pub struct StartEvent {
    #[yaserde(attribute)]
    pub id: String,
    #[yaserde(attribute)]
    pub name: String,
    #[yaserde(child, rename = "bpmn2:extensionElements")]
    pub extension_elements: Option<ExtensionElements>
}

impl StartEvent {

    pub fn init(id: String, name: String) -> StartEvent {
        StartEvent {
            id: id,
            name: name.clone(),
            extension_elements: Some(ExtensionElements::init(name.clone()))
        }
    }

}