use crate::entities::bpmn::YaSerialize;

#[derive(Clone, Debug, YaSerialize, PartialEq)]
pub struct ServiceTask {
    #[yaserde(attribute)]
    pub id: String,
    #[yaserde(attribute)]
    pub name: Option<String>,
    #[yaserde(child)]
    pub documentation: Option<String>
}

impl ServiceTask {

    pub fn new_optional(id: String, name: String) -> ServiceTask {
        ServiceTask {
            id: id,
            name: Some(name.clone()),
            documentation: Some("mandatory:false".to_string())
        }
    }

    pub fn new_mandatory(id: String, name: String) -> ServiceTask {
        ServiceTask {
            id: id,
            name: Some(name.clone()),
            documentation: Some("mandatory:true".to_string())
        }
    }

    pub fn add_service_id(&mut self, service_id: String) {
        if let Some(documentation) = &self.documentation {
            self.documentation = Some(format!{"{};serviceId:{}", documentation, service_id});
        } else {
            self.documentation = Some(format!{"serviceId:{}", service_id});
        }
    }

}