extern crate clap;
extern crate ujmtbackend;

use clap::{Command, Arg, ArgAction};
use ujmtbackend::{cli, core};

fn main() {
    let mut app = Command::new(core::config::SERVICE)
        .version(core::config::VERSION)
        .author("Anna Opaska")
        .about("ACROSS User Journey Modelling Tool Backend")
        .arg(
            Arg::new("debugging")
                .short('D')
                .long("debug")
                .global(true)
                .action(ArgAction::SetTrue)
                .help("Enables debugging"),
        )
        //.subcommand(cli::generate_bpmn::init())
        .subcommand(cli::generate_json::init())
        .subcommand(cli::validate::init())
        .subcommand(cli::version::init())
        .subcommand(cli::serve::init());

   cli::exec(&mut app);

}