extern crate slog_term;
extern crate slog_async;

use slog::Drain;
use uuid::Uuid;
use slog_envlogger;

pub fn new(log_level: &str) -> slog::Logger {
    std::env::set_var("RUST_LOG", "info");
    let _guard = slog_envlogger::init();

    let decorator = slog_term::TermDecorator::new().build();
    let drain = slog_term::FullFormat::new(decorator).build().fuse();
    let drain = match log_level {
        "debug" => drain.filter_level(slog::Level::Debug).fuse(),
        _       => drain.filter_level(slog::Level::Info).fuse(),
    };
    let drain = slog_async::Async::new(drain).chan_size(1024).build().fuse();
    let service_id = Uuid::new_v4().to_string();
 
    let logger = slog::Logger::root(drain, o!("sid" => service_id));
    return logger;
}
/*
pub fn new_file(log_level: &str, file: &str) -> slog::Logger {

}

pub fn new_term(log_level: &str) -> slog::Logger {

}*/