use crate::entities::bpmn::YaSerialize;

pub mod start_event;
pub mod end_event;

#[derive(Clone, Debug, YaSerialize, PartialEq)]
//#[yaserde(rename = "extensionElements")]
pub struct ExtensionElements {
    #[yaserde(child, rename = "tns:metaData")]
    pub meta_data: MetaData
}

#[derive(Clone, Debug, YaSerialize, PartialEq)]
pub struct MetaData {
    #[yaserde(attribute)]
    pub name: String,
    #[yaserde(child, rename = "tns:metaValue")]
    pub meta_value: String
}

impl ExtensionElements {

    pub fn init(name: String) -> ExtensionElements {
        ExtensionElements {
            meta_data: MetaData {
                name: "elementname".to_string(),
                meta_value: name
            }
        }
    }

}