use crate::entities::bpmn::YaSerialize;

#[derive(Clone, Debug, YaSerialize, PartialEq)]
//#[yaserde(rename = "sequenceFlow")]
pub struct SequenceFlow {
    #[yaserde(attribute)]
    pub id: String,
    #[yaserde(attribute)]
    pub name: Option<String>,
    #[yaserde(attribute, rename = "sourceRef")]
    pub source_ref: String,
    #[yaserde(attribute, rename = "targetRef")]
    pub target_ref: String,
}

impl SequenceFlow {

    pub fn new_unnamed(id: String, source_ref: String, target_ref: String) -> SequenceFlow {
        SequenceFlow {
            id: id,
            name: None,
            source_ref: source_ref,
            target_ref: target_ref,
        }
    }

}